package model

type Object struct {
	Id          int64  `json:"id" gorm:"column:id,primaryKey"`
	CreatedAt   int64  `json:"created_at" gorm:"column:created_at,autoCreateTime:milli"`
	Key         string `json:"key" gorm:"column:key;type:varchar(32);not null;unique"`
	ContentType string `json:"content_type" gorm:"column:content_type;type:varchar(255);not null"`
	Size        int64  `json:"size" gorm:"column:size"`
	Blob        []byte `json:"-" gorm:"column:blob;type:blob"`
}
